#include <iostream>
#include <vector>
using namespace std;

int main( ){
	
	long long int N,i,L,X=-1;
	
	cin >> N >> L;
	
	vector<long long>H(N);
	
		for(i = 0; N > i  && X == -1 ; i++ ){
			cin >> H[i];
			if(L>=H[i])
				X=i+1;	
		}
		cout << X;
		return 0;
}